


*:not(button) {
    margin: 0;
    padding: 0;
}

body {
    overflow-x: hidden;
    background-color: #fdf7ef;
    padding-bottom: 150px;
    font-family: "Source Sans Pro",arial,sans-serif;
    font-size: 12pt;
}

@keyframes fadeOut {

    0% {
        display: block;
        opacity: 1;
    }

    40% {
        opacity: .7;
    }

    70% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}


.messages {

    width: 100vw;
    height: auto;
    padding: 10px;
    background-color: rgb(255, 100, 100);
    border-radius: 5px;
    text-align: center;
    position: absolute;
    top: 60px;
    z-index: 99;
}

.messages {
    animation: fadeOut 15s forwards !important;
}

.messages:not(.danger):not(.success) {

    display: none;
}


h1, h2, h3, h4, h5, h6 {
    text-align: center;
}


nav {
    background-color: #3f3f3f;
    list-style-type: none;
    height: 50px;
    width: 100%;
    box-shadow:0px 5px 5px black;
    position: fixed;
    top: 0;
    z-index: 99;
}


nav ul {
    height: 100%;
    margin-left: 20px;
}

nav li {
    list-style-type: none;
    text-align: center;
    height: 100%;
    line-height: 320%;
    display: inline-block;
    padding: 0 10px;
    border-radius: 3px;
}

@keyframes hideItems {
    0% {
        height: 50px;
    }

    100% {
        height: 0%;
        opacity: 0;
    }
}

@keyframes showItems {
    0% {
        height: 0%;
        opacity: 0;
    }
    100% {
        opacity: 1;
        height: 50px;
        border-bottom: 0.01px solid black;
    }
}


label[for=menuToggle], #menuToggle {
    display: none;
}


@media (max-width: 900px) {

    nav ul {
        margin: 0;
    }


    label[for=menuToggle], #menuToggle {
        display: inline;
    }

    nav li:not(:first-of-type) {
        display: none;
    }

    nav li {
        background-color: #3f3f3f;
    }

    #menuToggle {
        opacity: 0;
        position: absolute;
        bottom: 60px; /* put above top of screen*/
    }



    .showMenu {

        color: rgb(200, 200, 140);
        transform: rotate(90deg);
        float: right;
    }


    #menuToggle:checked ~ li {

        display: block;
        animation: showItems 800ms forwards;
        text-align: left;
        float: none;
    }

    #menuToggle:not(:checked) ~ li {

        display: block;
        animation: hideItems 800ms forwards;
        text-align: left;
        float: none;

    }

}



nav a {
  color: #aeaeae;
  display: block;
}

nav li:hover {
    background-color: #333333;
}

nav li:hover a {
  color: #f8ffff;
  text-decoration: none;
}

#logout, .profile {
    float: right;
}





input + abbr {
    padding-left: 3px;
    color: blue;
    font-size: 9pt;
}

.abbrMessage {
    text-align: left;
    font-size: 10pt;
    background-color: white;
    max-width: 20em;
    margin: 2px 5px;
    position: relative;
    left: 4.5em;
}

label {
  font-weight: bold;
  display: block;
  margin-top: 5px;
}

label[for=sortBy] {
    text-align: center;
    margin-bottom: 1em;
}


meter {
    width: 148px;
    margin-right: 10px;
}

a {
    text-decoration: none;
}

a[href=forgotPass] {
    font-size: 10pt;
}

a:hover {
    text-decoration: underline;
}

h1, h2, h3 {

    text-shadow: 1px 1px 1px #000000;
    margin-top: 8rem;
}

form:not(#menuOut) {
    margin-top: 80px;
}

label {
    text-align: right;
}
table ~ label, #uploadForm label {
    text-align: left;
}


input:not([type="submit"]) {
    height: 16px;
    width: 144px;
}

#signupLvl {
    margin-right: 38%;
}

#modForm > label {
    margin-bottom: 10px;
}

form#updateIssueForm {
    display: inline-block;
    margin-top: 10px;
}

#updateIssueForm label {
    text-align: left;
}

.container {
	width: 100vw;
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	flex-direction: column;
    align-items: center;
}
.onlyForOwnUser {
    display: none;
}

#articleTable input{
    width: 30px;
}


/* 760 is width of biggest table (in /u)*/
@media (max-width: 760px) {

    .tableContainer {
        align-items: flex-start;
    }

    .tableContainer h1 {
        align-self: center;
    }



    input[type=submit]:not(#logoutInpt) {
        display: block;
        text-align: left;
        margin-top: 5px;
    }

}

.tableContainer {
    overflow-y: hidden;
    height: 100%;
    margin: 0 20px;
}


#pubStat {
    margin-top: 20px;
}


.normal {
    font-weight: normal;
}

.submit {
    margin-right: 3%;
    margin-top: 7px;
    margin-left: 16vw;
}

.container input[type=submit] {
    margin-bottom: 100px;
}

#uploadForm .submit {
    margin-left: 40%;
}

#uploadForm {
    margin: 20px;
}

table, th, td  {
    border: 1px solid black;
    border-collapse: collapse;
    border-spacing: 0px;
    padding: 10px;
    text-align: center;
  }



.danger {
    color: red;
}

.warning {
    color: gold;
}

.success {
    color: green;
    background-color: lightgreen;
}

.contriH1 {
    margin-bottom: 40px;
}

#journalistTable h1 {
    margin-top: 3rem;
}

.contriPage {
    margin-top: 30px;
}

#missionEdit {
    height: 20vh;
    width: 60vw;
    margin-top: 40px;
}

.small {
    font-size: 10pt;
}

#forbidden {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    height: 100vh;
    position: absolute;
    top: 0;
    left: 0;
    background-color: grey;
}

#forbidden img {
    border-radius: 5px;
    border: 2px inset grey;
}

.mustBeLoggedIn, .mustBeLevelTwo, #templates {
    display: none;
}

